# eric7.WebBrowser.UrlBar.BookmarkInfoDialog

Module implementing a dialog to show some bookmark info.

### Global Attributes

None

### Classes

BookmarkInfoDialog | Class implementing a dialog to show some bookmark info.

### Functions

None

## BookmarkInfoDialog

Class implementing a dialog to show some bookmark info.

### Derived from

QDialog, Ui_BookmarkInfoDialog

### Class Attributes

None

### Class Methods

None

### Methods

BookmarkInfoDialog | Constructor
accept | Public slot handling the acceptance of the dialog.
on_removeButton_clicked | Private slot to remove the current bookmark.

### Static Methods

None

#### BookmarkInfoDialog (Constructor)

BookmarkInfoDialog(bookmark, parent=None)

Constructor

bookmark
  reference to the bookmark to be shown (Bookmark)
parent
  reference to the parent widget (QWidget)

#### BookmarkInfoDialog.accept

accept()

Public slot handling the acceptance of the dialog.

#### BookmarkInfoDialog.on_removeButton_clicked

on_removeButton_clicked()

Private slot to remove the current bookmark.

Up